A I settings
Set creator ai voice preset
Assign an available AI writing-style preset to a creator by preset ID.
PUT
/v1/agencies/{agencyId}/creators/{creatorId}/voice-presetAssign an available AI writing-style preset to a creator by preset ID.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/agencies/string/creators/string/voice-preset" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "voicePresetId": "string", "enable": true, "sextingEmojis": true, "mode": "AGGRESSIVE", "transitionTimingMode": "FIXED", "transitionMessage": null, "standardEmojis": true, "enableFanSpendLimit": true, "fanSpendOperator": "LESS_THAN", "enableSubscriptionLimit": true, "maxSubscriptionDurationValue": null, "maxSubscriptionDurationUnit": null, "subscriptionDurationOperator": "LESS_THAN", "allowedSubscriptionTypes": [ "PAID" ], "stopConditionsOperator": "AND", "aiMode": "FULL_AI", "aiScheduleMode": "FULL_TIME", "replyAsAi": true, "allowVerifiedCreators": true, "vaultUploadFanId": null, "includedFanLists": [ "string" ], "excludedFanLists": [ "string" ], "disabledByNegativeBalance": true, "maxFanSpend": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}Set creator ai mode PATCH
Set AI messaging mode for explicit creator IDs or all accessible creators except the supplied exclusions. Enabling autonomous handling can send real fan messages within that target.
List creator banned words GET
List banned words applicable to the specified creator under its agency's content rules.